// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.18.1
// source: journals/journal_service.proto

package journals

import (
	data "gitlab.com/skllzz/jmot/gojmot-client/pb/keeper/data"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// запрос на добавления данных в журнал
type AppendRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// имя журнала
	JournalName string `protobuf:"bytes,1,opt,name=journal_name,json=journalName,proto3" json:"journal_name,omitempty"`
	// добавляемый или обновляемый элемент
	Item *data.Item `protobuf:"bytes,2,opt,name=item,proto3" json:"item,omitempty"`
	// добавлять только в случае если такого элемента нет
	IfNotExists bool `protobuf:"varint,3,opt,name=if_not_exists,json=ifNotExists,proto3" json:"if_not_exists,omitempty"`
}

func (x *AppendRequest) Reset() {
	*x = AppendRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_journals_journal_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AppendRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AppendRequest) ProtoMessage() {}

func (x *AppendRequest) ProtoReflect() protoreflect.Message {
	mi := &file_journals_journal_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AppendRequest.ProtoReflect.Descriptor instead.
func (*AppendRequest) Descriptor() ([]byte, []int) {
	return file_journals_journal_service_proto_rawDescGZIP(), []int{0}
}

func (x *AppendRequest) GetJournalName() string {
	if x != nil {
		return x.JournalName
	}
	return ""
}

func (x *AppendRequest) GetItem() *data.Item {
	if x != nil {
		return x.Item
	}
	return nil
}

func (x *AppendRequest) GetIfNotExists() bool {
	if x != nil {
		return x.IfNotExists
	}
	return false
}

// Режим чтения журнала от хвоста к голове
type Forward struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// минимальный порядковый номер изменения
	SeqNo int64 `protobuf:"varint,1,opt,name=seq_no,json=seqNo,proto3" json:"seq_no,omitempty"`
	// режим ожидания появление новых данных после получения последнего элемента
	Continuous bool `protobuf:"varint,3,opt,name=continuous,proto3" json:"continuous,omitempty"`
}

func (x *Forward) Reset() {
	*x = Forward{}
	if protoimpl.UnsafeEnabled {
		mi := &file_journals_journal_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Forward) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Forward) ProtoMessage() {}

func (x *Forward) ProtoReflect() protoreflect.Message {
	mi := &file_journals_journal_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Forward.ProtoReflect.Descriptor instead.
func (*Forward) Descriptor() ([]byte, []int) {
	return file_journals_journal_service_proto_rawDescGZIP(), []int{1}
}

func (x *Forward) GetSeqNo() int64 {
	if x != nil {
		return x.SeqNo
	}
	return 0
}

func (x *Forward) GetContinuous() bool {
	if x != nil {
		return x.Continuous
	}
	return false
}

// Режим чтения журнала от головы к хвосту порциями (чтение останавливается по инициативе клиента в момент отмены самого метода)
type Backward struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// последний известный порядковый номер с хвоста (0 если не задавать)
	// будет отданы элементы с номером меньше заданного (или все если 0)
	SeqNo int64 `protobuf:"varint,1,opt,name=seq_no,json=seqNo,proto3" json:"seq_no,omitempty"`
}

func (x *Backward) Reset() {
	*x = Backward{}
	if protoimpl.UnsafeEnabled {
		mi := &file_journals_journal_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Backward) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Backward) ProtoMessage() {}

func (x *Backward) ProtoReflect() protoreflect.Message {
	mi := &file_journals_journal_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Backward.ProtoReflect.Descriptor instead.
func (*Backward) Descriptor() ([]byte, []int) {
	return file_journals_journal_service_proto_rawDescGZIP(), []int{2}
}

func (x *Backward) GetSeqNo() int64 {
	if x != nil {
		return x.SeqNo
	}
	return 0
}

// Режим чтения последних значений журнала
type Values struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// диапазон ключей (ключ является конкатенацией {{data.Item.Type}}.{{data.Item.IdType}}
	Range *data.IdRange `protobuf:"bytes,1,opt,name=range,proto3" json:"range,omitempty"`
	// обратный порядок сортировки
	Descending bool `protobuf:"varint,2,opt,name=descending,proto3" json:"descending,omitempty"`
}

func (x *Values) Reset() {
	*x = Values{}
	if protoimpl.UnsafeEnabled {
		mi := &file_journals_journal_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Values) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Values) ProtoMessage() {}

func (x *Values) ProtoReflect() protoreflect.Message {
	mi := &file_journals_journal_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Values.ProtoReflect.Descriptor instead.
func (*Values) Descriptor() ([]byte, []int) {
	return file_journals_journal_service_proto_rawDescGZIP(), []int{3}
}

func (x *Values) GetRange() *data.IdRange {
	if x != nil {
		return x.Range
	}
	return nil
}

func (x *Values) GetDescending() bool {
	if x != nil {
		return x.Descending
	}
	return false
}

// запрос на чтение данных журнала
type ReadRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// имя журнала
	JournalName string `protobuf:"bytes,1,opt,name=journal_name,json=journalName,proto3" json:"journal_name,omitempty"`
	// размер единичной порции элементов, если меньше или равно 0 то используется значение по умолчанию
	PageSize int32 `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// вариант чтения журнала
	//
	// Types that are assignable to Mode:
	//
	//	*ReadRequest_Forward
	//	*ReadRequest_Backward
	//	*ReadRequest_Values
	Mode isReadRequest_Mode `protobuf_oneof:"Mode"`
}

func (x *ReadRequest) Reset() {
	*x = ReadRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_journals_journal_service_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReadRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReadRequest) ProtoMessage() {}

func (x *ReadRequest) ProtoReflect() protoreflect.Message {
	mi := &file_journals_journal_service_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReadRequest.ProtoReflect.Descriptor instead.
func (*ReadRequest) Descriptor() ([]byte, []int) {
	return file_journals_journal_service_proto_rawDescGZIP(), []int{4}
}

func (x *ReadRequest) GetJournalName() string {
	if x != nil {
		return x.JournalName
	}
	return ""
}

func (x *ReadRequest) GetPageSize() int32 {
	if x != nil {
		return x.PageSize
	}
	return 0
}

func (m *ReadRequest) GetMode() isReadRequest_Mode {
	if m != nil {
		return m.Mode
	}
	return nil
}

func (x *ReadRequest) GetForward() *Forward {
	if x, ok := x.GetMode().(*ReadRequest_Forward); ok {
		return x.Forward
	}
	return nil
}

func (x *ReadRequest) GetBackward() *Backward {
	if x, ok := x.GetMode().(*ReadRequest_Backward); ok {
		return x.Backward
	}
	return nil
}

func (x *ReadRequest) GetValues() *Values {
	if x, ok := x.GetMode().(*ReadRequest_Values); ok {
		return x.Values
	}
	return nil
}

type isReadRequest_Mode interface {
	isReadRequest_Mode()
}

type ReadRequest_Forward struct {
	// вперед от хвоста к голове
	Forward *Forward `protobuf:"bytes,3,opt,name=forward,proto3,oneof"`
}

type ReadRequest_Backward struct {
	// назад от головы к хвосту
	Backward *Backward `protobuf:"bytes,4,opt,name=backward,proto3,oneof"`
}

type ReadRequest_Values struct {
	// список последних значений
	Values *Values `protobuf:"bytes,5,opt,name=values,proto3,oneof"`
}

func (*ReadRequest_Forward) isReadRequest_Mode() {}

func (*ReadRequest_Backward) isReadRequest_Mode() {}

func (*ReadRequest_Values) isReadRequest_Mode() {}

// Запрос чтения единичного элемента журнала
type ValueRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// имя журнала
	JournalName string `protobuf:"bytes,1,opt,name=journal_name,json=journalName,proto3" json:"journal_name,omitempty"`
	// тип элемента
	Type string `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	// уникальный идентификатор элемента
	Id string `protobuf:"bytes,3,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *ValueRequest) Reset() {
	*x = ValueRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_journals_journal_service_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ValueRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ValueRequest) ProtoMessage() {}

func (x *ValueRequest) ProtoReflect() protoreflect.Message {
	mi := &file_journals_journal_service_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ValueRequest.ProtoReflect.Descriptor instead.
func (*ValueRequest) Descriptor() ([]byte, []int) {
	return file_journals_journal_service_proto_rawDescGZIP(), []int{5}
}

func (x *ValueRequest) GetJournalName() string {
	if x != nil {
		return x.JournalName
	}
	return ""
}

func (x *ValueRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *ValueRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

var File_journals_journal_service_proto protoreflect.FileDescriptor

var file_journals_journal_service_proto_rawDesc = []byte{
	0x0a, 0x1e, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x73, 0x2f, 0x6a, 0x6f, 0x75, 0x72, 0x6e,
	0x61, 0x6c, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x08, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x73, 0x1a, 0x0f, 0x64, 0x61, 0x74, 0x61,
	0x2f, 0x69, 0x74, 0x65, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x76, 0x0a, 0x0d, 0x41,
	0x70, 0x70, 0x65, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x21, 0x0a, 0x0c,
	0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0b, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x1e, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0a, 0x2e,
	0x64, 0x61, 0x74, 0x61, 0x2e, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x12,
	0x22, 0x0a, 0x0d, 0x69, 0x66, 0x5f, 0x6e, 0x6f, 0x74, 0x5f, 0x65, 0x78, 0x69, 0x73, 0x74, 0x73,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0b, 0x69, 0x66, 0x4e, 0x6f, 0x74, 0x45, 0x78, 0x69,
	0x73, 0x74, 0x73, 0x22, 0x40, 0x0a, 0x07, 0x46, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x12, 0x15,
	0x0a, 0x06, 0x73, 0x65, 0x71, 0x5f, 0x6e, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05,
	0x73, 0x65, 0x71, 0x4e, 0x6f, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x6f, 0x6e, 0x74, 0x69, 0x6e, 0x75,
	0x6f, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x63, 0x6f, 0x6e, 0x74, 0x69,
	0x6e, 0x75, 0x6f, 0x75, 0x73, 0x22, 0x21, 0x0a, 0x08, 0x42, 0x61, 0x63, 0x6b, 0x77, 0x61, 0x72,
	0x64, 0x12, 0x15, 0x0a, 0x06, 0x73, 0x65, 0x71, 0x5f, 0x6e, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x05, 0x73, 0x65, 0x71, 0x4e, 0x6f, 0x22, 0x4d, 0x0a, 0x06, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x73, 0x12, 0x23, 0x0a, 0x05, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x0d, 0x2e, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x49, 0x64, 0x52, 0x61, 0x6e, 0x67, 0x65,
	0x52, 0x05, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x64, 0x65, 0x73, 0x63, 0x65,
	0x6e, 0x64, 0x69, 0x6e, 0x67, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x64, 0x65, 0x73,
	0x63, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x22, 0xe2, 0x01, 0x0a, 0x0b, 0x52, 0x65, 0x61, 0x64,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x6a, 0x6f, 0x75, 0x72, 0x6e,
	0x61, 0x6c, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x6a,
	0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x70, 0x61,
	0x67, 0x65, 0x5f, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x70,
	0x61, 0x67, 0x65, 0x53, 0x69, 0x7a, 0x65, 0x12, 0x2d, 0x0a, 0x07, 0x66, 0x6f, 0x72, 0x77, 0x61,
	0x72, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x6a, 0x6f, 0x75, 0x72, 0x6e,
	0x61, 0x6c, 0x73, 0x2e, 0x46, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x48, 0x00, 0x52, 0x07, 0x66,
	0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x12, 0x30, 0x0a, 0x08, 0x62, 0x61, 0x63, 0x6b, 0x77, 0x61,
	0x72, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x6a, 0x6f, 0x75, 0x72, 0x6e,
	0x61, 0x6c, 0x73, 0x2e, 0x42, 0x61, 0x63, 0x6b, 0x77, 0x61, 0x72, 0x64, 0x48, 0x00, 0x52, 0x08,
	0x62, 0x61, 0x63, 0x6b, 0x77, 0x61, 0x72, 0x64, 0x12, 0x2a, 0x0a, 0x06, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x6a, 0x6f, 0x75, 0x72, 0x6e,
	0x61, 0x6c, 0x73, 0x2e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x48, 0x00, 0x52, 0x06, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x73, 0x42, 0x06, 0x0a, 0x04, 0x4d, 0x6f, 0x64, 0x65, 0x22, 0x55, 0x0a, 0x0c,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x21, 0x0a, 0x0c,
	0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0b, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74,
	0x79, 0x70, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x02, 0x69, 0x64, 0x32, 0x93, 0x01, 0x0a, 0x08, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x6f, 0x72,
	0x12, 0x2d, 0x0a, 0x06, 0x41, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x12, 0x17, 0x2e, 0x6a, 0x6f, 0x75,
	0x72, 0x6e, 0x61, 0x6c, 0x73, 0x2e, 0x41, 0x70, 0x70, 0x65, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x0a, 0x2e, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x49, 0x74, 0x65, 0x6d, 0x12,
	0x2b, 0x0a, 0x04, 0x52, 0x65, 0x61, 0x64, 0x12, 0x15, 0x2e, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61,
	0x6c, 0x73, 0x2e, 0x52, 0x65, 0x61, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x0a,
	0x2e, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x49, 0x74, 0x65, 0x6d, 0x30, 0x01, 0x12, 0x2b, 0x0a, 0x05,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x16, 0x2e, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x73,
	0x2e, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x0a, 0x2e,
	0x64, 0x61, 0x74, 0x61, 0x2e, 0x49, 0x74, 0x65, 0x6d, 0x42, 0x39, 0x5a, 0x37, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x6b, 0x6c, 0x6c, 0x7a, 0x7a, 0x2f, 0x6a,
	0x6d, 0x6f, 0x74, 0x2f, 0x67, 0x6f, 0x6a, 0x6d, 0x6f, 0x74, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x2f, 0x70, 0x62, 0x2f, 0x6b, 0x65, 0x65, 0x70, 0x65, 0x72, 0x2f, 0x6a, 0x6f, 0x75, 0x72,
	0x6e, 0x61, 0x6c, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_journals_journal_service_proto_rawDescOnce sync.Once
	file_journals_journal_service_proto_rawDescData = file_journals_journal_service_proto_rawDesc
)

func file_journals_journal_service_proto_rawDescGZIP() []byte {
	file_journals_journal_service_proto_rawDescOnce.Do(func() {
		file_journals_journal_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_journals_journal_service_proto_rawDescData)
	})
	return file_journals_journal_service_proto_rawDescData
}

var file_journals_journal_service_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_journals_journal_service_proto_goTypes = []interface{}{
	(*AppendRequest)(nil), // 0: journals.AppendRequest
	(*Forward)(nil),       // 1: journals.Forward
	(*Backward)(nil),      // 2: journals.Backward
	(*Values)(nil),        // 3: journals.Values
	(*ReadRequest)(nil),   // 4: journals.ReadRequest
	(*ValueRequest)(nil),  // 5: journals.ValueRequest
	(*data.Item)(nil),     // 6: data.Item
	(*data.IdRange)(nil),  // 7: data.IdRange
}
var file_journals_journal_service_proto_depIdxs = []int32{
	6, // 0: journals.AppendRequest.item:type_name -> data.Item
	7, // 1: journals.Values.range:type_name -> data.IdRange
	1, // 2: journals.ReadRequest.forward:type_name -> journals.Forward
	2, // 3: journals.ReadRequest.backward:type_name -> journals.Backward
	3, // 4: journals.ReadRequest.values:type_name -> journals.Values
	0, // 5: journals.Operator.Append:input_type -> journals.AppendRequest
	4, // 6: journals.Operator.Read:input_type -> journals.ReadRequest
	5, // 7: journals.Operator.Value:input_type -> journals.ValueRequest
	6, // 8: journals.Operator.Append:output_type -> data.Item
	6, // 9: journals.Operator.Read:output_type -> data.Item
	6, // 10: journals.Operator.Value:output_type -> data.Item
	8, // [8:11] is the sub-list for method output_type
	5, // [5:8] is the sub-list for method input_type
	5, // [5:5] is the sub-list for extension type_name
	5, // [5:5] is the sub-list for extension extendee
	0, // [0:5] is the sub-list for field type_name
}

func init() { file_journals_journal_service_proto_init() }
func file_journals_journal_service_proto_init() {
	if File_journals_journal_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_journals_journal_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AppendRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_journals_journal_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Forward); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_journals_journal_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Backward); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_journals_journal_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Values); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_journals_journal_service_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReadRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_journals_journal_service_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ValueRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_journals_journal_service_proto_msgTypes[4].OneofWrappers = []interface{}{
		(*ReadRequest_Forward)(nil),
		(*ReadRequest_Backward)(nil),
		(*ReadRequest_Values)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_journals_journal_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_journals_journal_service_proto_goTypes,
		DependencyIndexes: file_journals_journal_service_proto_depIdxs,
		MessageInfos:      file_journals_journal_service_proto_msgTypes,
	}.Build()
	File_journals_journal_service_proto = out.File
	file_journals_journal_service_proto_rawDesc = nil
	file_journals_journal_service_proto_goTypes = nil
	file_journals_journal_service_proto_depIdxs = nil
}
